tt_pattern_scope_add(library call)

NAME
tt_pattern_scope_add — add a value to the scope field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_scope_add(
Tt_pattern p,
Tt_scope s);

DESCRIPTION

The tt_pattern_scope_add function adds a value to the scope field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The s argument specifies what processes are eligible to receive the message. The following values are defined:

TT_SESSION
    All processes joined to the indicated session are eligible.

TT_FILE
    All processes joined to the indicated file are eligible.

TT_BOTH
    All processes joined to either indicated file or the indicated session are eligible.

TT_FILE_IN_SESSION
    All processes joined to both the indicated file and the indicated session are eligible.

RETURN VALUE

Upon successful completion, the tt_pattern_scope_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).